package com.dayou.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Set;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/3/20
 * created with IntelliJ IDEA.
 */
@Data
public class BrokerageSequenceVO  {

    /**
     * id
     */
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 人员姓名
     */
    private String userName;

    /**
     * 提成总金额
     */
    private BigDecimal brokerageAmount;

    /**
     * 提成体现
     */
    private String embody;

    /**
     * 备注
     */
    private String remark;

    /**
     * 结算类型（项目结算，默认预提）
     */
    private String cate;

    /**
     * 结算时间
     */
    private Date created;

    /**
     * 结算详情
     */
    private List<BrokerageSequenceDetailVO> details ;

    /**
     * 修改时间
     *
     * @ignore
     */
    private Date modified;

    /**
     * 标志位
     *
     * @ignore
     */
    private Boolean deleted;

    /**
     * 所属员工查询条件
     */
    private Set<Long> userIds;


}
